package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class TeacherLeaveRecordDto extends QueryInfo {

    @ApiModelProperty(value = "开始时间",required = false)
    private String startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endTime;

    @ApiModelProperty(value = "请假类型",required = false)
    private String leaveRecordType;

    @ApiModelProperty(value = "教师编号",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "请假审批状态",required = false)
    private String status;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getLeaveRecordType() {
        return leaveRecordType;
    }

    public void setLeaveRecordType(String leaveRecordType) {
        this.leaveRecordType = leaveRecordType;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
